Skip to content
API referencePlatformPlatform billing

Subscriptions on the project's own Tenant (SaaS) account

GET
/platform/v1/billing/account/subscriptions

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/platform/v1/billing/account/subscriptions" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
[  {    "amount_minor": 0,    "billing_account_id": "db2251e5-5308-40a7-9f48-3aed5a9ce736",    "cancel_at_period_end": true,    "canceled_at": "2019-08-24T14:15:22Z",    "currency": "string",    "current_period_end": "2019-08-24T14:15:22Z",    "current_period_start": "2019-08-24T14:15:22Z",    "grace_period_end": "2019-08-24T14:15:22Z",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "plan_id": "00713021-9aea-41da-9a88-87760c08fa72",    "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",    "state_reason": "new_purchase",    "status": "pending",    "trial_end_at": "2019-08-24T14:15:22Z",    "vendor_type": "stripe"  }]